package net.novagamestudios.kaffeekasse.model.kaffeekasse

import kotlinx.serialization.Serializable


@Serializable
enum class KnownItem(
    val id: Int,
    val originalName: String,
) {
    Almdudler               (221, "Almdudler"),
    Bier330                 (110, "Bier (0,33L auch alk.frei–außer Leffe/Erdinger)"),
    Bier500                 ( 80, "Bier (0,5 L) auch alk.frei - kein Erdinger-"),
    CafeAuLait              (163, "Café au lait"),
    Cappuccino              (159, "Cappuccino"),
    ClubMate                (108, "Club-Mate"),
    CocaCola                ( 77, "Coca Cola (hi-carb)"),
    CocaCola330             (266, "Coca Cola 0,33l"),
    CokeZero                ( 78, "Coke ZERO"),
    CokeZeroCaffeineFree    (246, "Coke Zero koffeinfrei"),
    FritzCola               (186, "Fritz Cola"),
    DuplexColor             (155, "Duplex Farbe"),
    ChouffeBier             (262, "Chouffe Bier"),
    DuplexBlackWhite        ( 91, "Duplex S/W"),
    EiflerLandbier          (192, "Eifler Landbier"),
    CujaMaraSplit           (170, "Eis: Cuja Mara Split"),
    Magnum                  (124, "Eis: Magnum / NUII"),
    NUII                    (124, "Eis: Magnum / NUII"),
    EngelbertApple          (127, "Engelbert Apfel"),
    EngelbertNatural        (240, "Engelbert Naturell"),
    EngelbertSprudel        ( 79, "Engelbert/Rheinfels Sprudel"),
    RheinfelsSprudel        ( 79, "Engelbert/Rheinfels Sprudel"),
    ErdingerAlcoholFree500  (242, "Erdinger Alkoholfrei (0,5l)"),
    Erdnuesse               ( 87, "Erdnüsse"),
    Espresso                (160, "Espresso"),
    Fanta                   ( 81, "Fanta"),
    Fassbrause              (199, "Fassbrause/Bionade"),
    Bionade                 (199, "Fassbrause/Bionade"),
    Gerolsteiner            ( 83, "Gerolsteiner"),
    Hanuta                  (209, "Hanuta"),
    HariboBag               (149, "Haribo-Beutel"),
    CoffeeSmall             ( 84, "Kaffee klein"),
    CoffeeLarge             (165, "Kaffee groß"),
    ErdingerAlcoholFree330  (261, "Erdinger Alkoholfrei (0.33l)"),
    Knoppers                (117, "Knoppers"),
    KnoppersBar             (214, "Knoppers Riegel"),
    LatteMacchiato          (161, "Latte Macchiato"),
    Leffe                   (191, "Leffe"),
    Milka                   (152, "Milka"),
    Moccachoc               (162, "Moccachoc"),
    Pizza                   (243, "Pizza"),
    Rockstar                (187, "Rockstar/Monster (inkl. Pfand)"),
    Monster                 (187, "Rockstar/Monster (inkl. Pfand)"),
    ChocolateCreamCocoa     (164, "Schoko-Creme (Kakao)"),
    SimplexColor            (140, "Simplex Farbe"),
    SimplexBlackWhite       ( 90, "Simplex S/W"),
    Tissues                 (158, "Taschentücher"),
    Apple                   (195, "Apfel"),
    Balisto                 (105, "Balisto"),
    Duplo                   (231, "Duplo"),
    PickUp                  (106, "PickUp!"),
    LindtHase               (267, "Lindt Hase"),
    IceCornetto             (128, "Eis: Cornetto"),
    IceNogger               (101, "Eis: Nogger"),
    IceMars                 (136, "Eis: Mars/Snickers/Twix/Bounty"),
    IceSnickers             (136, "Eis: Mars/Snickers/Twix/Bounty"),
    IceTwix                 (136, "Eis: Mars/Snickers/Twix/Bounty"),
    IceBounty               (136, "Eis: Mars/Snickers/Twix/Bounty"),
    OreoCookies             (235, "Oreo Kekse"),
    CocaCola05Glass         (265, "CocaCola 0,5l GLAS"),
    Trolli                  (249, "Trolli"),
    Twix                    ( 93, "Twix"),
    Yogurette               (217, "Yogurette"),
    KinderChocolate         (220, "Kinder Schokolade"),
    NutsRoyalNuts           (227, "Nuts Royal Nüsse"),
    Tangerine               (213, "Mandarine/Clementine"),
    Clementine              (213, "Mandarine/Clementine"),
    MilkMachine             (263, "Milch (Maschine)"),
    MioMioMate              (259, "MioMio Mate"),
    ThreeDPrintingPerGram   (256, "3D-Druck pro gramm"),
    Euglueh                 (173, "Euglüh"),
    Katjes                  (254, "Katjes"),
    ;
    companion object {
        val byId by lazy { entries.groupBy { it.id } }
        val idByOriginalName by lazy { entries.associate { it.originalName to it.id } }
    }
}

