package net.novagamestudios.kaffeekasse.ui

import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember
import cafe.adriel.voyager.core.concurrent.ThreadSafeMap
import cafe.adriel.voyager.core.model.ScreenModel
import cafe.adriel.voyager.core.model.rememberScreenModel
import cafe.adriel.voyager.core.platform.multiplatformName
import cafe.adriel.voyager.core.screen.Screen
import net.novagamestudios.kaffeekasse.App
import net.novagamestudios.kaffeekasse.app
import net.novagamestudios.kaffeekasse.ui.util.screenmodel.GlobalScreenModelFactory
import net.novagamestudios.kaffeekasse.ui.util.screenmodel.ScreenModelFactory
import net.novagamestudios.kaffeekasse.util.context


val globalScreenModels = ThreadSafeMap<String, ScreenModel>()

@Composable
inline operator fun <reified T : ScreenModel> GlobalScreenModelFactory<App, T>.getValue(
    thisRef: Any?,
    property: Any?
) = with(app()) {
    val key = "${T::class.multiplatformName}:default"
    remember(key) { globalScreenModels.getOrPut(key) { create(app = this) } as T }
}

context (S)
@Composable
inline operator fun <S : Screen, reified T : ScreenModel> ScreenModelFactory<S, T>.getValue(
    thisRef: Any?,
    property: Any?
) = with(app()) {
    rememberScreenModel { create(context<S>()) }
}
