package net.novagamestudios.kaffeekasse.ui.hiwi_tracker

import androidx.compose.runtime.Composable
import cafe.adriel.voyager.core.model.ScreenModel
import cafe.adriel.voyager.navigator.Navigator
import net.novagamestudios.common_utils.Logger
import net.novagamestudios.kaffeekasse.model.session.Session
import net.novagamestudios.kaffeekasse.repositories.RepositoryProvider
import net.novagamestudios.kaffeekasse.ui.AppInfoTopBarAction
import net.novagamestudios.kaffeekasse.ui.AppModuleSelection
import net.novagamestudios.kaffeekasse.ui.login.LogoutTopBarAction
import net.novagamestudios.kaffeekasse.ui.navigation.HiwiTrackerNavigation
import net.novagamestudios.kaffeekasse.ui.util.screenmodel.ScreenModelFactory


class HiwiTrackerModuleScreenModel private constructor(
    val session: Session
) : ScreenModel, Logger {

    companion object : ScreenModelFactory<HiwiTrackerNavigation.Tab, HiwiTrackerModuleScreenModel> {
        context (RepositoryProvider)
        override fun create(screen: HiwiTrackerNavigation.Tab) = HiwiTrackerModuleScreenModel(
            session = screen.session
        )
    }
}

@Composable
fun HiwiTrackerTopBarTitle(navigator: Navigator) {
    when (navigator.lastItem) {
        is HiwiTrackerNavigation.OverviewScreen -> AppModuleSelection()
    }
}

@Composable
fun HiwiTrackerTopBarActions(model: HiwiTrackerModuleScreenModel) {
    AppInfoTopBarAction()
    LogoutTopBarAction(model.session)
}
