package net.novagamestudios.kaffeekasse.ui.kaffeekasse.components

import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Refresh
import androidx.compose.material3.Icon
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.OutlinedIconButton
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import net.novagamestudios.common_utils.compose.components.ColumnCenter

@Composable
fun FailureRetryScreen(
    message: String,
    errors: List<String>,
    modifier: Modifier = Modifier,
    onRetry: (() -> Unit)? = null
) = ColumnCenter(modifier) {
    if (onRetry != null) OutlinedIconButton(
        onClick = onRetry,
        Modifier.padding(bottom = 16.dp)
    ) {
        Icon(Icons.Default.Refresh, "Retry")
    }
    Text(
        message,
        color = MaterialTheme.colorScheme.error,
        textAlign = TextAlign.Center
    )
    Spacer(Modifier.height(8.dp))
    errors.forEach {
        Text(
            it,
            color = MaterialTheme.colorScheme.error,
            fontFamily = FontFamily.Monospace,
            textAlign = TextAlign.Center
        )
    }
}
