package net.novagamestudios.kaffeekasse.ui.util.screenmodel

import android.app.Application
import cafe.adriel.voyager.core.model.ScreenModel
import cafe.adriel.voyager.core.screen.Screen
import net.novagamestudios.kaffeekasse.repositories.RepositoryProvider

fun interface ScreenModelFactory<in S : Screen, out T : ScreenModel> {
    context (RepositoryProvider)
    fun create(screen: S): T
}

fun interface GlobalScreenModelFactory<in A : Application, out T : ScreenModel> {
    context (RepositoryProvider)
    fun create(app: A): T
}
