pluginManagement {
    repositories {
        google()
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    @Suppress("UnstableApiUsage")
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    @Suppress("UnstableApiUsage")
    repositories {
        google()
        mavenCentral()
        mavenLocal()
        maven { setUrl("https://jitpack.io") }
    }
    versionCatalogs {
        create("libs") {
            version("kotlin", "1.9.20")
            version("dokka", "1.9.20")
            version("compose-compiler", "1.5.5")
            version("compose-bom", "2024.05.00")
            version("material3", "1.3.0-alpha05")
            version("androidx-lifecycle", "2.8.0-rc01")
            version("ktor", "2.3.8")
            version("vico", "2.0.0-alpha.8")
            version("voyager", "1.0.0")
            version("coil", "2.6.0")
            version("acra", "5.11.3")


            plugin("gradle-versions", "com.github.ben-manes.versions").version("0.51.0")
            plugin("android-application", "com.android.application").version("8.2.0")
            plugin("kotlin-android", "org.jetbrains.kotlin.android").versionRef("kotlin")
            plugin("kotlinx-serialization", "org.jetbrains.kotlin.plugin.serialization").versionRef("kotlin")
            plugin("dokka", "org.jetbrains.dokka").versionRef("dokka")


            library("dokka-android", "org.jetbrains.dokka", "android-documentation-plugin").versionRef("dokka")

            library("androidx-core", "androidx.core", "core-ktx").version("1.13.1")
            library("androidx-lifecycle-runtime", "androidx.lifecycle", "lifecycle-runtime-ktx").versionRef("androidx-lifecycle")
            library("androidx-lifecycle-viewmodel-compose", "androidx.lifecycle", "lifecycle-viewmodel-compose").versionRef("androidx-lifecycle")

            library("androidx-navigation-compose", "androidx.navigation", "navigation-compose").version("2.7.7")
            library("androidx-activity-compose", "androidx.activity", "activity-compose").version("1.9.0")

            library("compose-bom", "androidx.compose", "compose-bom").versionRef("compose-bom")
            library("compose-ui", "androidx.compose.ui", "ui").withoutVersion()
            library("compose-ui-graphics", "androidx.compose.ui", "ui-graphics").withoutVersion()
            library("compose-ui-tooling-preview", "androidx.compose.ui", "ui-tooling-preview").withoutVersion()
            library("compose-ui-text-google-fonts", "androidx.compose.ui", "ui-text-google-fonts").withoutVersion()
            library("compose-material-icons-extended", "androidx.compose.material", "material-icons-extended").version("1.6.7")
            library("compose-material3", "androidx.compose.material3", "material3").versionRef("material3")
            library("compose-grid", "io.woong.compose.grid", "grid").version("1.2.2")

            library("androidx-credentials", "androidx.credentials", "credentials").version("1.3.0-alpha03")
            library("androidx-datastore", "androidx.datastore", "datastore-preferences-android").version("1.1.1")

            library("kotlinx-datetime", "org.jetbrains.kotlinx", "kotlinx-datetime").version("0.6.0-RC.2")
            library("kotlinx-serialization-json", "org.jetbrains.kotlinx", "kotlinx-serialization-json").version("1.6.3")

            library("ktor-client-core", "io.ktor", "ktor-client-core").versionRef("ktor")
            library("ktor-client-okhttp", "io.ktor", "ktor-client-okhttp").versionRef("ktor")
            library("ktor-client-contentnegotiation", "io.ktor", "ktor-client-content-negotiation").versionRef("ktor")
            library("ktor-serialization-kotlinx-json", "io.ktor", "ktor-serialization-kotlinx-json").versionRef("ktor")

            library("skrapeit", "it.skrape", "skrapeit").version("1.2.2")
            library("skrapeit-ktor", "it.skrape", "skrapeit-ktor-extension").version("1.2.2")

            library("vico-core", "com.patrykandpatrick.vico", "core").versionRef("vico")
            library("vico-compose", "com.patrykandpatrick.vico", "compose").versionRef("vico")
            library("vico-compose-m2", "com.patrykandpatrick.vico", "compose-m2").versionRef("vico")
            library("vico-compose-m3", "com.patrykandpatrick.vico", "compose-m3").versionRef("vico")

            library("voyager-navigator", "cafe.adriel.voyager", "voyager-navigator").versionRef("voyager")
            library("voyager-screenmodel", "cafe.adriel.voyager", "voyager-screenmodel").versionRef("voyager")
            library("voyager-bottomsheetnavigator", "cafe.adriel.voyager", "voyager-bottom-sheet-navigator").versionRef("voyager")
            library("voyager-tabnavigator", "cafe.adriel.voyager", "voyager-tab-navigator").versionRef("voyager")
            library("voyager-transitions", "cafe.adriel.voyager", "voyager-transitions").versionRef("voyager")

            library("coil", "io.coil-kt", "coil").versionRef("coil")
            library("coil-compose", "io.coil-kt", "coil-compose").versionRef("coil")

            library("acra-http", "ch.acra", "acra-http").versionRef("acra")
            library("acra-mail", "ch.acra", "acra-mail").versionRef("acra")
            library("acra-core", "ch.acra", "acra-core").versionRef("acra")
            library("acra-dialog", "ch.acra", "acra-dialog").versionRef("acra")
            library("acra-notification", "ch.acra", "acra-notification").versionRef("acra")
            library("acra-toast", "ch.acra", "acra-toast").versionRef("acra")
            library("acra-limiter", "ch.acra", "acra-limiter").versionRef("acra")
            library("acra-advancedscheduler", "ch.acra", "acra-advanced-scheduler").versionRef("acra")

            library("commonutils", "com.gitlab.JojoIV", "common_utils").version("ee87e097c5")
        }
    }
}

rootProject.name = "Kaffeekasse"
include(":app")
 